---
title: Vychází STM 2.0 – informace o novinkách v aplikaci a na webu
date: 2013-07-22 12:39 UTC
---

        <a class="top right imageBox" href="<%= webPrefix %>/assets/images/homepage.png">
            <%= image_tag 'homepage.png' %>
        </a>
        <p>Skoro po roce od vydání první verze STM přichází <a href="cs/stahnout">verze 2.0</a>. Zatímco hlavní změny
            v ovládání aplikace přinesla verze 1.1, tak nová verze se spíše zaměřuje na vnitřní architekturu.
            Hlavní změny v STM 2.0:
        </p>
        <ul>
            <li><strong>PHP >= 5.3</strong> a zrušení podpory databáze Oracle.</li>
            <li>Změna licence na <strong>BSD</strong> a přesun do týmu na <a href="https://gitlab.com/groups/zdenekdrahos-upce/stm/-/archived" target="_blank">Gitlab</a>.</li>
            <li>Načítání objektů z databáze přes <a href="api/class-STM.StmFactory.html" target="_blank">STM\StmFactory</a>.</li>
            <li>Aktuální soutěže a výsledky na hlavní straně aplikace.</li>
            <li>Možnost importu osob i do zvoleného týmu.</li>
        </ul>
        <p>Ideální by bylo, kdybych s vývojem a dodržením standardů PSR-0/1/2 začal už od počátku
            vývoje STM, abyste teď nemuseli překopávat celou integraci STM na web, ale to je bohužel daň za to, že
            se jednalo o můj první velký PHP projekt.</p>
        <h2>Web – nápověda, šablony, &hellip;</h2>
        <p>Největší změnou prošel tento web. S potěšením Vám můžu oznámit, že se mi podařilo sepsat
            základní nápovědu k STM, která je dostupná z každé aplikace. Na web jsem taky doplnil šablony, pár návodů,
            videí a pomocníků, kteří by vám mohli usnadnit práci s STM. Přehled odkazů na to nejzajímavější:</p>
        <ul>
            <li><a href="<%= webPrefix %>/help/module/">Nápověda</a> – nápověda k jednotlivým modulům STM s jejich základním popisem.</li>
            <li><a href="<%= webPrefix %>/pluginy/sablony.html">Šablony</a> – seznam základních šablon týmů, zápasů, ... s ukázkami kódu i použití šablon.</li>
            <li><a href="<%= webPrefix %>/pluginy/fotbalcz.html">Import rozpisů z fotbal.cz</a> – pomocník pro import fotbalových rozpisů do STM.</li>
            <li><a href="<%= webPrefix %>/pluginy/webapi.html">Snadná integrace STM na Váš web</a> – usnadnění integrace STM pomocí WebAPI a JSON konfiguračního souboru.</li>
            <li><a href="<%= webPrefix %>/help/module/season.html">Změna datumů kol v sezóně</a> – videonávod, jak změnit data všech zápasů ze zvolených kol sezóny.</li>
            <li><a href="<%= webPrefix %>/help/upgrade-2.0.html">Aktualizace na STM 2.0</a> – návod na aktualizaci na novou verzi plus videozáznam z aktualizace zdejšího dema.</li>            
        </ul>